classification
Title: Use specific asserts in importlib tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, brett.cannon, eric.snow, ezio.melotti, ncoghlan, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-14 20:56 by serhiy.storchaka, last changed 2014-07-07 11:15 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_importlib_asserts.patch serhiy.storchaka, 2013-11-14 20:56 review
Messages (7)
msg202885 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-14 20:56
The proposed patch makes the importlib package tests use more specific asserts. This will provide more useful failure report.
msg202936 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-15 11:07
Adding a dependency on the PEP 451 implementation - we should merge that first to ensure it doesn't encounter any conflicts.
msg203084 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 21:13
Patch LGTM.
msg222298 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-04 17:46
Can we have a commit review on this please.  I've already asked for reviews on #18864 and its dependencies.
msg222356 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-07-05 13:30
Ezio already gave a commit review. Serhiy just needs to commit it himself.
msg222448 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-07-07 11:09
New changeset f426bd85f808 by Serhiy Storchaka in branch '3.4':
Issue #19593: Use specific asserts in importlib tests.
http://hg.python.org/cpython/rev/f426bd85f808

New changeset cace5cc29df0 by Serhiy Storchaka in branch 'default':
Issue #19593: Use specific asserts in importlib tests.
http://hg.python.org/cpython/rev/cace5cc29df0
msg222449 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-07 11:15
Thanks Ezio for the review. I hope issue18864 will be merged without conflicts.
History
Date User Action Args
2014-07-07 11:15:52serhiy.storchakasetstatus: open -> closed
stage: commit review -> resolved
versions: + Python 3.4
2014-07-07 11:15:11serhiy.storchakasetresolution: fixed
dependencies: - Implementation for PEP 451 (importlib.machinery.ModuleSpec)
messages: + msg222449
2014-07-07 11:09:41python-devsetnosy: + python-dev
messages: + msg222448
2014-07-05 13:30:27brett.cannonsetassignee: serhiy.storchaka
messages: + msg222356
stage: patch review -> commit review
2014-07-04 17:46:18BreamoreBoysetnosy: + BreamoreBoy

messages: + msg222298
versions: + Python 3.5, - Python 3.4
2013-11-16 21:13:46ezio.melottisetnosy: + ezio.melotti
messages: + msg203084
2013-11-15 11:07:12ncoghlansetdependencies: + Implementation for PEP 451 (importlib.machinery.ModuleSpec)
messages: + msg202936
2013-11-14 21:02:18serhiy.storchakalinkissue16510 dependencies
2013-11-14 20:56:23serhiy.storchakacreate